Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.gef
Class EditPartViewPart

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.amp.axf.view.ModelViewPart
                      org.eclipse.amp.agf.gef.AGFViewPart
                          org.eclipse.amp.agf.gef.EditPartViewPart

All Implemented Interfaces:
  java.util.EventListener, IModelPart, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

Direct Known Subclasses:
  ChartViewPart, GEF3DViewPart, GEFViewPart, GraphicsViewPart, TreeViewPart

    public abstract class EditPartViewPart

extends AGFViewPart

Field Summary
`protected org.eclipse.gef.EditPartViewer` | `viewer`
`static double[]` | `ZOOM_LEVELS`

Fields inherited from class org.eclipse.amp.axf.view.ModelViewPart
`propertySheetPage`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`EditPartViewPart()`

Method Summary
`protected org.eclipse.gef.EditPartFactory` | `createFactory(java.lang.Object contents)`
`void` | `createModelListeners()` Creates the model listeners.
`void` | `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`abstract org.eclipse.gef.RootEditPart` | `createRoot()`
`protected org.eclipse.gef.EditPartViewer` | `createViewer()`
`protected void` | `createZoomer(org.eclipse.gef.RootEditPart rootEditPart)`
`java.lang.Object` | `getAdapter(java.lang.Class type)`
`protected org.eclipse.gef.DefaultEditDomain` | `getEditDomain()` Returns the edit domain.
`org.eclipse.gef.EditPart` | `getEditPart()`
`org.eclipse.gef.RootEditPart` | `getRootEditPart()`
`EditPartListener` | `getRootListener()`
`protected org.eclipse.jface.viewers.ISelectionProvider` | `getSelectionProvider()`
`org.eclipse.gef.EditPartViewer` | `getViewer()`
`org.eclipse.gef.editparts.ZoomManager` | `getZoomer()`
`protected void` | `setEditDomain(org.eclipse.gef.DefaultEditDomain ed)` Sets the EditDomain for this EditorPart.
`void` | `setInput(org.eclipse.ui.IEditorInput input)` Sets the input.

Methods inherited from class org.eclipse.amp.agf.gef.AGFViewPart
`createSelectionListener, createSelectionSynchronizer, dispose`

Methods inherited from class org.eclipse.amp.axf.view.ModelViewPart
`addModelListener, getModel, getModelListeners, getName, getPropertySheetPage, isSingle, propertyChange, removeModelListener, removeSelectionListener, setFocus, setModel, setPartName`

Methods inherited from class org.eclipse.ui.part.ViewPart
`checkSite, getViewSite, init, init, saveState, setContentDescription, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Field Detail

### viewer

    protected org.eclipse.gef.EditPartViewer viewer

### ZOOM_LEVELS

    public static double[] ZOOM_LEVELS

Constructor Detail

### EditPartViewPart

    public EditPartViewPart()

Method Detail

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `createPartControl` in class `AGFViewPart`
  See Also:
    `ModelViewPart.createPartControl(org.eclipse.swt.widgets.Composite)`

### createViewer

    protected org.eclipse.gef.EditPartViewer createViewer()

### createRoot

    public abstract org.eclipse.gef.RootEditPart createRoot()

### setInput

    public void setInput(org.eclipse.ui.IEditorInput input)

  Description copied from class: `ModelViewPart`
  Sets the input.

  Overrides:
    `setInput` in class `ModelViewPart`
  Parameters:
    `input` - the new input

### createFactory

    protected org.eclipse.gef.EditPartFactory createFactory(java.lang.Object contents)

### createZoomer

    protected void createZoomer(org.eclipse.gef.RootEditPart rootEditPart)

### createModelListeners

    public void createModelListeners()

  Description copied from interface: `IModelPart`
  Creates the model listeners.

  Specified by:
    `createModelListeners` in interface `IModelPart`
  Overrides:
    `createModelListeners` in class `ModelViewPart`
  See Also:
    `IModelPart.createModelListeners()`

### getEditPart

    public org.eclipse.gef.EditPart getEditPart()

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class type)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `AGFViewPart`
  See Also:
    `WorkbenchPart.getAdapter(java.lang.Class)`

### getViewer

    public org.eclipse.gef.EditPartViewer getViewer()

### getRootListener

    public EditPartListener getRootListener()

### setEditDomain

    protected void setEditDomain(org.eclipse.gef.DefaultEditDomain ed)

  Sets the EditDomain for this EditorPart.

  Parameters:
    `ed` - the domain

### getEditDomain

    protected org.eclipse.gef.DefaultEditDomain getEditDomain()

  Returns the edit domain.

  Returns:
    the edit domain

### getZoomer

    public org.eclipse.gef.editparts.ZoomManager getZoomer()

### getRootEditPart

    public org.eclipse.gef.RootEditPart getRootEditPart()

  Returns:
    the rootEditPart

### getSelectionProvider

    protected org.eclipse.jface.viewers.ISelectionProvider getSelectionProvider()

  Specified by:
    `getSelectionProvider` in class `AGFViewPart`
  Returns:
  See Also:
    `AGFViewPart.getSelectionProvider()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD